Subject: Re: make headers_install broken for ARCH=m68k in 2.6.29-rc7.

From: Greg Ungerer <[email-masked]>
Date: Fri, 13 Mar 2009 16:53:24 +1000

Geert Uytterhoeven wrote:
> On Thu, Mar 12, 2009 at 22:02, Sam Ravnborg <[email-masked]> wrote:
>>> And, yes, I can confirm the m68k include/asm/unistd.h from linux-next actually
>>> has contents, thanks to commit 646652bded41f4c3bd375b4e03a25b42da93f40b
>>>
>>> Anyway, here's hoping the fix makes it into 2.6.29.
>> Why not telling the m68k maintainer that you think it should go into 2.6.29?
>>
>> As it stand now we will ikely see another mail from you "I already said so"
>> when we ship it broken but you did not care to tell relevant people.
>>
>> grep -C 5 -i m68k MAINTAINES revelas this:
>> M68K ARCHITECTURE
>> P:      Geert Uytterhoeven
>> M:      [email-masked]
>> P:      Roman Zippel
>> M:      [email-masked]
>> L:      [email-masked]
>> W:      http://www.linux-m68k.org/
>> W:      http://linux-m68k-cvs.ubb.ca/
>> S:      Maintained
>>
>>
>>        Sam
>>
> 
> There are a few more:
> 
> param.h:#include "param_no.h"
> param.h:#include "param_mm.h"
> ptrace.h:#include "ptrace_no.h"
> ptrace.h:#include "ptrace_mm.h"
> setup.h:#include "setup_no.h"
> setup.h:#include "setup_mm.h"
> sigcontext.h:#include "sigcontext_no.h"
> sigcontext.h:#include "sigcontext_mm.h"
> siginfo.h:#include "siginfo_no.h"
> siginfo.h:#include "siginfo_mm.h"
> signal.h:#include "signal_no.h"
> signal.h:#include "signal_mm.h"
> swab.h:#include "swab_no.h"
> swab.h:#include "swab_mm.h"
> 
> Rob, do these also causes problems?
> Some (not all) of them are fixed in linux-next.

My patches in linux-next (from the m68knommu git tree) should
fix all but sigconext and signal in that list.

Both of those are relatively easy to fix up. I'll do that.

Regards
Greg

------------------------------------------------------------------------
Greg Ungerer  --  Principal Engineer        EMAIL:     [email-masked]
SnapGear, a McAfee Company                  PHONE:       +61 7 3435 2888
825 Stanley St,                             FAX:         +61 7 3891 3630
Woolloongabba, QLD, 4102, Australia         WEB: http://www.SnapGear.com